package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 融信与应收账款关联表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_finance_bill_rel")
public class ZcFinanceBillRel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 融信ID(zc_finance_inf.zfi_id)
     */
    @TableId("zfbr_finance_id")
    private String zfbrFinanceId;

    /**
     * 应收账款ID(zc_bill_inf.zbi_id)
     */
    @TableField("zfbr_bill_id")
    private String zfbrBillId;


}
