package com.huyi.service.base.service;

import com.huyi.service.base.entity.PubFileInf;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: IPubFileInfService<br>
 * Description: PubFileInfService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IPubFileInfService extends IService<PubFileInf> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<PubFileInf>
     * @return IPage<PubFileInf>
     */
    IPage<PubFileInf> findPubFileInfs(QueryRequest request, LambdaQueryWrapper<PubFileInf> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<PubFileInf>
     * @return List<PubFileInf>
     */
    List<PubFileInf> findPubFileInfs(LambdaQueryWrapper<PubFileInf> wrapper);

    /**
     * 新增
     *
     * @param pubFileInf pubFileInf
     */
    void createPubFileInf(PubFileInf pubFileInf);

    /**
     * 修改
     *
     * @param pubFileInf pubFileInf
     */
    void updatePubFileInf(PubFileInf pubFileInf);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<PubFileInf>
     */
    void deletePubFileInf(LambdaQueryWrapper<PubFileInf> wrapper);
}
