package com.huyi.service.base.service;

import com.huyi.service.base.entity.ZcBillFileRel;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: IZcBillFileRelService<br>
 * Description: ZcBillFileRelService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcBillFileRelService extends IService<ZcBillFileRel> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcBillFileRel>
     * @return IPage<ZcBillFileRel>
     */
    IPage<ZcBillFileRel> findZcBillFileRels(QueryRequest request, LambdaQueryWrapper<ZcBillFileRel> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcBillFileRel>
     * @return List<ZcBillFileRel>
     */
    List<ZcBillFileRel> findZcBillFileRels(LambdaQueryWrapper<ZcBillFileRel> wrapper);

    /**
     * 新增
     *
     * @param zcBillFileRel zcBillFileRel
     */
    void createZcBillFileRel(ZcBillFileRel zcBillFileRel);

    /**
     * 修改
     *
     * @param zcBillFileRel zcBillFileRel
     */
    void updateZcBillFileRel(ZcBillFileRel zcBillFileRel);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcBillFileRel>
     */
    void deleteZcBillFileRel(LambdaQueryWrapper<ZcBillFileRel> wrapper);
}
