package com.huyi.service.base.service;

import com.huyi.service.base.entity.ZcBillInf;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: IZcBillInfService<br>
 * Description: ZcBillInfService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcBillInfService extends IService<ZcBillInf> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcBillInf>
     * @return IPage<ZcBillInf>
     */
    IPage<ZcBillInf> findZcBillInfs(QueryRequest request, LambdaQueryWrapper<ZcBillInf> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcBillInf>
     * @return List<ZcBillInf>
     */
    List<ZcBillInf> findZcBillInfs(LambdaQueryWrapper<ZcBillInf> wrapper);

    /**
     * 新增
     *
     * @param zcBillInf zcBillInf
     */
    void createZcBillInf(ZcBillInf zcBillInf);

    /**
     * 修改
     *
     * @param zcBillInf zcBillInf
     */
    void updateZcBillInf(ZcBillInf zcBillInf);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcBillInf>
     */
    void deleteZcBillInf(LambdaQueryWrapper<ZcBillInf> wrapper);
}
